Index: src/com/example/helloandroid/GameView.java
===================================================================
--- src/com/example/helloandroid/GameView.java	(revision 9b87c8d697bebfc10f1cf8b540b2c17de34438cc)
+++ src/com/example/helloandroid/GameView.java	(revision 8a4e64f8ecc323995ce0f57940d20f1911992309)
@@ -99,7 +99,4 @@
         private int mCanvasWidth = 1;
 
-        /** What to draw for the Lander when it has crashed */
-        private Drawable mCrashedImage;
-
         /** Default is MEDIUM. */
         private int mDifficulty;
@@ -112,7 +109,4 @@
         private boolean mEngineFiring;
 
-        /** What to draw for the Lander when the engine is firing */
-        private Drawable mFiringImage;
-
         /** Fuel remaining */
         private double mFuel;
@@ -152,5 +146,5 @@
 
         /** Paint to draw the lines on screen. */
-        private Paint mLinePaint;
+        private Paint mLinePaint, mTextPaint;
 
         /** "Bad" speed-too-high variant of the line color. */
@@ -188,6 +182,4 @@
             // cache handles to our key sprites & other drawables
             mLanderImage = context.getResources().getDrawable(R.drawable.lander_plain);
-            mFiringImage = context.getResources().getDrawable(R.drawable.lander_firing);
-            mCrashedImage = context.getResources().getDrawable(R.drawable.lander_crashed);
 
             // load background image as a Bitmap instead of a Drawable b/c
@@ -207,4 +199,8 @@
             mLinePaintBad.setAntiAlias(true);
             mLinePaintBad.setARGB(255, 120, 180, 0);
+            
+            mTextPaint = new Paint();
+            mTextPaint.setAntiAlias(true);
+            mTextPaint.setARGB(255, 255, 0, 0);
 
             mWinsInARow = 0;
@@ -422,4 +418,7 @@
              * thread, which updates the user-text View.
              */
+        	boolean test = true;
+        	if(test)
+        		return;
             synchronized (mSurfaceHolder) {
                 mMode = mode;
@@ -475,6 +474,16 @@
                 Random rand = new Random();
 
-                for(int x=0; x<6; x++) {
-                	planets.add(new Planet(rand.nextInt(45)+5, rand.nextInt(mCanvasWidth), rand.nextInt(mCanvasHeight)));
+                for(int x=0; x<10; x++) {
+                	Planet p = new Planet(rand.nextInt(45)+5, rand.nextInt(mCanvasWidth), rand.nextInt(mCanvasHeight));
+                	p.setNumShips(rand.nextInt(150));
+                	
+                	if(Planet.collisionDetected(p, planets)) {
+                		x--;
+                	}else if(p.getX()-p.getRadius() < 0 || mCanvasWidth<=p.getX()+p.getRadius() ||
+                			 p.getY()-p.getRadius() < 0 || mCanvasHeight<=p.getY()+p.getRadius()) {
+                		x--;
+                	}else {
+                		planets.add(p);
+                	}
                 }
                 	
@@ -519,24 +528,5 @@
                     return true;
                 } else if (mMode == STATE_RUNNING) {
-                    // center/space -> fire
-                    if (keyCode == KeyEvent.KEYCODE_DPAD_CENTER
-                            || keyCode == KeyEvent.KEYCODE_SPACE) {
-                        setFiring(true);
-                        return true;
-                        // left/q -> left
-                    } else if (keyCode == KeyEvent.KEYCODE_DPAD_LEFT
-                            || keyCode == KeyEvent.KEYCODE_Q) {
-                        mRotating = -1;
-                        return true;
-                        // right/w -> right
-                    } else if (keyCode == KeyEvent.KEYCODE_DPAD_RIGHT
-                            || keyCode == KeyEvent.KEYCODE_W) {
-                        mRotating = 1;
-                        return true;
-                        // up -> pause
-                    } else if (keyCode == KeyEvent.KEYCODE_DPAD_UP) {
-                        pause();
-                        return true;
-                    }
+                    return true;
                 }
 
@@ -559,5 +549,4 @@
                     if (keyCode == KeyEvent.KEYCODE_DPAD_CENTER
                             || keyCode == KeyEvent.KEYCODE_SPACE) {
-                        setFiring(false);
                         handled = true;
                     } else if (keyCode == KeyEvent.KEYCODE_DPAD_LEFT
@@ -565,5 +554,4 @@
                             || keyCode == KeyEvent.KEYCODE_DPAD_RIGHT
                             || keyCode == KeyEvent.KEYCODE_W) {
-                        mRotating = 0;
                         handled = true;
                     }
@@ -585,4 +573,5 @@
             for(Planet p : planets) {
             	canvas.drawCircle(p.getX(), p.getY(), p.getRadius(), mLinePaint);
+            	canvas.drawText(Integer.toString(p.getNumShips()), p.getX(), p.getY(), mTextPaint);
             }
             
@@ -592,17 +581,13 @@
             // Draw the ship with its current rotation
             canvas.save();
-            canvas.rotate((float) mHeading, (float) mX, mCanvasHeight
-                    - (float) mY);
+            canvas.rotate((float)mHeading, (float)mX, mCanvasHeight - (float)mY);
             if (mMode == STATE_LOSE) {
-                mCrashedImage.setBounds(xLeft, yTop, xLeft + mLanderWidth, yTop
-                        + mLanderHeight);
-                mCrashedImage.draw(canvas);
+                //mCrashedImage.setBounds(xLeft, yTop, xLeft + mLanderWidth, yTop + mLanderHeight);
+                //mCrashedImage.draw(canvas);
             } else if (mEngineFiring) {
-                mFiringImage.setBounds(xLeft, yTop, xLeft + mLanderWidth, yTop
-                        + mLanderHeight);
-                mFiringImage.draw(canvas);
+                //mFiringImage.setBounds(xLeft, yTop, xLeft + mLanderWidth, yTop + mLanderHeight);
+                //mFiringImage.draw(canvas);
             } else {
-                mLanderImage.setBounds(xLeft, yTop, xLeft + mLanderWidth, yTop
-                        + mLanderHeight);
+                mLanderImage.setBounds(xLeft, yTop, xLeft + mLanderWidth, yTop + mLanderHeight);
                 mLanderImage.draw(canvas);
             }
@@ -665,4 +650,8 @@
             }
 
+            for(Planet p : planets) {
+            	p.update();
+            }
+            
             double dxOld = mDX;
             double dyOld = mDY;
